/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package components.table.model;

import domain.Student;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class StudentTableModel extends AbstractTableModel {

    private final List<Student> students;

    public StudentTableModel(List<Student> students) {
        this.students = students;
    }

    @Override
    public int getRowCount() {
//        if(students==null) return 0;
//        else return students.size();
        return students == null ? 0 : students.size();
    }

    @Override
    public int getColumnCount() {
        return 6;
    }

    @Override
    public Object getValueAt(int row, int column) {
        Student student = students.get(row);
        switch(column){
            case 0: return student.getIndex();
            case 1: return student.getFirstname();
            case 2: return student.getLastname();
            case 3: return student.getBirthday();
            case 4: return student.getCity();
            case 5: return student.isBudget();
            default: return "N/A";
            
                
        }
    }

}
